Get a list of all Group Locations
curl --request GET \
--url https://fulfillment.noyo.com/api/v1/groups/{group_id}/locations \
--header 'Authorization: Bearer <token>'import requests
url = "https://fulfillment.noyo.com/api/v1/groups/{group_id}/locations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fulfillment.noyo.com/api/v1/groups/{group_id}/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"offset": 0,
"page_num": 1,
"page_size": 20,
"total_records": 2
},
"response": [
{
"address": {
"city": "San Francisco",
"county": "San Francisco",
"state": "CA",
"street_one": "1234 Test Ln",
"zip_code": "94107"
},
"created": 1557512389,
"group_id": "2613a221-d3c8-4c8a-86d5-e7e885fd1da9",
"id": "bd957820-4652-4ee7-8a3a-6413df21e28d",
"modified": 1543215342,
"version": "f4142cba-f3eb-4917-b3bd-123d683f18d7"
}
]
}Locations
Get Location List
Get a list of locations for a group.
GET
/
api
/
v1
/
groups
/
{group_id}
/
locations
Get a list of all Group Locations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the group for which you would like to view locations
Example:
"2613a221-d3c8-4c8a-86d5-e7e885fd1da9"
Query Parameters
The max size of each page of results
The integer offset at which to start the page. Possible values are 0 to total_records - 1
Was this page helpful?
⌘I
